// Squawk messenger. 
// Copyright (C) 2019  Yury Gubich <blue@macaw.me>
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#ifndef CORE_DISCOVERYHANDLER_H
#define CORE_DISCOVERYHANDLER_H

#include <QObject>

#include <QXmppDiscoveryManager.h>
#include <QXmppDiscoveryIq.h>

namespace Core {
class Account;

class DiscoveryHandler : public QObject
{
    Q_OBJECT
public:
    DiscoveryHandler(Account* account);
    ~DiscoveryHandler();

    void initialize();

private slots:
    void onItemsReceived (const QXmppDiscoveryIq& items);
    void onInfoReceived (const QXmppDiscoveryIq& info);

private:
    Account* acc;
};

}

#endif // CORE_DISCOVERYHANDLER_H
